Name:           novnc
Version:        0.4
Release:        8.1%{?dist}
Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Requires:       python-websockify

License:        GPLv3
URL:            https://github.com/kanaka/noVNC
Source0:        https://github.com/downloads/kanaka/noVNC/novnc-%{version}.tar.gz

Patch1:         novnc-0.4-call-websockify.patch
Patch2:         novnc-0.4-manpage.patch
BuildArch:      noarch
BuildRequires:  python2-devel

%description
Websocket implementation of VNC client

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build


%install
mkdir -p %{buildroot}/%{_usr}/share/novnc/utils
install -m 444 *html %{buildroot}/%{_usr}/share/novnc
#provide an index file to prevent default directory browsing
install -m 444 vnc.html %{buildroot}/%{_usr}/share/novnc/index.html

mkdir -p %{buildroot}/%{_usr}/share/novnc/include/
install -m 444 include/*.*  %{buildroot}/%{_usr}/share/novnc/include
mkdir -p %{buildroot}/%{_usr}/share/novnc/images
install -m 444 images/*.*  %{buildroot}/%{_usr}/share/novnc/images

mkdir -p %{buildroot}/%{_bindir}
install utils/launch.sh  %{buildroot}/%{_bindir}/novnc_server

mkdir -p %{buildroot}%{_mandir}/man1/
install -m 444 docs/novnc_server.1 %{buildroot}%{_mandir}/man1/

%files
%doc README.md LICENSE.txt

%dir %{_usr}/share/novnc
%{_usr}/share/novnc/*.*
%dir %{_usr}/share/novnc/include
%{_usr}/share/novnc/include/*
%dir %{_usr}/share/novnc/images
%{_usr}/share/novnc/images/*
%{_bindir}/novnc_server
%{_mandir}/man1/novnc_server.1*

%changelog
* Fri Feb 21 2014 Lon Hohberger <lhh@redhat.com> 0.4-8.1
- Rebuild

* Mon Jun 24 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-7
- Remove the openstack-nova-novncproxy subpackage (moved to openstack-nova)

* Thu Jun 20 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-6
- Validate token in a separate process to avoid monkey-patching rhbz#974846

* Mon Jun 17 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-5
- Fix NoVNC fails when amqp_rpc_single_reply_queue is set rhbz#974846
- Make the openstack-nova-novncproxy pick up nova-dist.conf

* Tue May 7 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-4
- Import config module from oslo in nova-novncproxy
- Support /etc/sysconfig/openstack-nova-novncprox

* Wed Feb 20 2013 Nikola Đipanov <ndipanov@redhat.com> - 0.4-3
- Remove hard dep on openstack-nova rhbz#i885420

* Mon Oct 22 2012 Nikola Đipanov <ndipanov@redhat.com> - 0.4-2
- Fixes the supplied init script to match the new 0.4 version

* Mon Oct 22 2012 Nikola Đipanov <ndipanov@redhat.com> - 0.4-1
- Moves to upstream version 0.4.0

* Wed Jul  4 2012 Till Maas <opensource@till.name> - 0.3-11
- Add a dependency for novnc on python-websockify

* Fri Jun 15 2012 Jose Castro Leon <jose.castro.leon@cern.ch> - 0.3-10
- Add a dependency for openstack-nova-novncproxy on openstack-nova

* Thu Jun 14 2012 Matthew Miller <mattdm@mattdm.org> - 0.3-9
- Remove a dependency for openstack-nova-novncproxy on numpy

* Wed Jun 13 2012 Alan Pevec <apevec@redhat.com> - 0.3-8
- Add a dependency for openstack-nova-novncproxy on python-nova

* Wed Jun 13 2012 Jose Castro Leon <jose.castro.leon@cern.ch> - 0.3-7
- Add a dependency for openstack-nova-novncproxy on novnc

* Mon Jun 11 2012 Adam Young <ayoung@redhat.com> - 0.3-6
- systemd initialization for Nova Proxy
- system V init script
- remove Flash binary supporting older browsers

* Fri Jun 8 2012 Adam Young <ayoung@redhat.com> - 0.3-3
- Added man pages
- novnc_server usese the websockify executable, not wsproxy.py

* Thu Jun 7 2012 Adam Young <ayoung@redhat.com> - 0.3-2
- Make Javascript files non-executable, as they are not script files
- Patch Nova noVNC proxy to use websockify directly

* Tue May 15 2012 Adam Young <ayoung@redhat.com> - 0.3-1
- Added in support for the Nova noVNC proxy
- Added files for the images and inclues subdirectories

* Thu May 10 2012 Adam Young <ayoung@redhat.com> - 0.2
- Initial RPM release.
